ich habe auf wheezy/sid updaten müssen. Jetzt habe offensichtlich ich ein seltsames Rechteproblem mit meinem Brother Multifunktionsfax. Als root läuft alles wunderbar.
Jedoch als user "saned", welcher auch der group "scanner" angehört, klappt es seltsamerweise nur, wenn ich mich direkt einlogge (ich habe dem Nutzer in der /etc/passwd testweise eine login-shell verpasst). Wenn ich als root "su saned" aufrufe, habe ich seltsamerweise keine Rechte zum Scannen.
Code: Alles auswählen
scanimage > /tmp/test.tif
scanimage: open of device brother3:bus3;dev1 failed: Invalid argument
Code: Alles auswählen
# Brother
SYSFS{idVendor}=="04f9", MODE="0666", GROUP="scanner", ENV{libsane_matched}="yes"
Hier mal das initscript
Code: Alles auswählen
#! /bin/sh
set -x
### BEGIN INIT INFO
# Provides: brotherkey
# Required-Start: $syslog $remote_fs
# Required-Stop: $syslog $remote_fs
# Should-Start: $network avahi
# Should-Stop: $network
# X-Start-Before: cups
# X-Stop-After: cups
# Default-Start: 2 3 4 5
# Default-Stop: 1
# Short-Description: Brother Scan-Key Daemon
### END INIT INFO
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/local/Brother/sane/brscan-skey-0.2.1-3
NAME=brscan-skey-0.2.1-3
PIDFILE=/var/run/$NAME.pid
DESC="Brother Scan-Key Daemon"
USER="saned"
unset TMPDIR
test -x $DAEMON || exit 0
#if [ -r /etc/default/cups ]; then
# . /etc/default/cups
#fi
. /lib/lsb/init-functions
case "$1" in
start)
log_begin_msg "Starting $DESC: $NAME"
start-stop-daemon --start --background --chuid $USER --quiet --oknodo --pidfile "$PIDFILE" --make-pidfile --exec $DAEMON
log_end_msg $?
;;
stop)
log_begin_msg "Stopping $DESC: $NAME"
start-stop-daemon --stop --quiet --retry 5 --oknodo --pidfile $PIDFILE --exec $DAEMON && rm $PIDFILE
log_end_msg $?
;;
reload|force-reload)
log_begin_msg "Reloading $DESC: $NAME"
start-stop-daemon --stop --quiet --pidfile $PIDFILE --name $NAME --signal 1
log_end_msg $?
;;
restart)
log_begin_msg "Restarting $DESC: $NAME"
if start-stop-daemon --stop --quiet --retry 5 --oknodo --pidfile $PIDFILE --exec $DAEMON && rm $PIDFILE; then
start-stop-daemon --start --background --chuid $USER --quiet --pidfile "$PIDFILE" --make-pidfile --exec $DAEMON
fi
log_end_msg $?
;;
status)
echo -n "Status of $DESC: "
if [ ! -r "$PIDFILE" ]; then
echo "$NAME is not running."
exit 3
fi
if read pid < "$PIDFILE" && ps -p "$pid" > /dev/null 2>&1; then
echo "$NAME is running."
exit 0
else
echo "$NAME is not running but $PIDFILE exists."
exit 1
fi
;;
*)
N=/etc/init.d/${0##*/}
echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
exit 1
;;
esac
exit 0
Hat jemand eine Idee, woran das liegt, also was sich von squeeze nach wheezy geändert hat?